Subject: bash autocompletion for sontrib/subtree?

From: [email-masked]
Date: Thu, 06 Feb 2014 09:34:55 -0800

I've built/installed git from src,

 git --version
  git version 1.9.rc2.15.g89ba81d

& installed/sourced 

 /etc/bash_completion.d/git-completion.bash

For all git-core builtins, autocompletion works.

I've also installed contrib/subtree

`git subtree` works, but I get no autocompletion for the command.

I've tried adding/sourcing this script (@
https://github.com/camptocamp/puppet-git-subtree/blob/master/files/bash_completion.sh),

-------------------------
_git_subtree ()
{
local cur="${COMP_WORDS[COMP_CWORD]}"

if [ $COMP_CWORD -eq 2 ]; then
__gitcomp "add merge pull push split"
return
elif [ $COMP_CWORD -eq 3 ]; then
__gitcomp "--prefix="
return
fi
__gitcomp "$(__git_remotes)"
}
-------------------------

but still get not subtree autocomplete.

What's neede to enable subtree's autocomplete?